## kpim6-incidenceeditor 25.08.0

=== debian/changelog ===
kpim6-incidenceeditor (25.08.0-0zneon+24.04+noble+release+build38) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 02:38:38 +0000

kpim6-incidenceeditor (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:03:47 +0000

kpim6-incidenceeditor (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:41:08 +0000

kpim6-incidenceeditor (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:55:51 +0000

kpim6-incidenceeditor (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:46:26 +0000

kpim6-incidenceeditor (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:33:46 +0000

kpim6-incidenceeditor (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:03:02 +0000

kpim6-incidenceeditor (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:02:27 +0000

kpim6-incidenceeditor (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:53:15 +0000

kpim6-incidenceeditor (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:50:19 +0000

kpim6-incidenceeditor (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:50:41 +0000

kpim6-incidenceeditor (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:27:17 +0000

kpim6-incidenceeditor (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:03:04 +0000

kpim6-incidenceeditor (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:12:09 +0000

kpim6-incidenceeditor (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:49:08 +0000

kpim6-incidenceeditor (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:14:46 +0000

kpim6-incidenceeditor (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:01:57 +0000

kpim6-incidenceeditor (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:37:45 +0000

libkf5incidenceeditor (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 15:42:41 +0000

libkf5incidenceeditor (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:14:17 +0000

libkf5incidenceeditor (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 20:40:12 +0000

libkf5incidenceeditor (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:42:58 +0000

libkf5incidenceeditor (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:10:48 +0000

libkf5incidenceeditor (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:59:19 +0000

libkf5incidenceeditor (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:26:53 +0000

libkf5incidenceeditor (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:05:49 +0000

libkf5incidenceeditor (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:12:01 +0000

libkf5incidenceeditor (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:33:32 +0000

libkf5incidenceeditor (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:04:45 +0000

libkf5incidenceeditor (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:37:26 +0000

libkf5incidenceeditor (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:23:33 +0000

libkf5incidenceeditor (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:48:24 +0000

libkf5incidenceeditor (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:41:20 +0000

libkf5incidenceeditor (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:53:48 +0000

libkf5incidenceeditor (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:05:27 +0000

libkf5incidenceeditor (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:00:04 +0000

libkf5incidenceeditor (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:07:57 +0000

libkf5incidenceeditor (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:15 +0000

libkf5incidenceeditor (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:41:55 +0000

libkf5incidenceeditor (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:48:40 +0000

libkf5incidenceeditor (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:01:29 +0000

libkf5incidenceeditor (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:51:10 +0000

libkf5incidenceeditor (21.04.0-0neon) focal; urgency=medium

  * New release



## kpim6-incidenceeditor 25.08.1

=== debian/changelog ===
kpim6-incidenceeditor (25.08.1-0zneon+24.04+noble+release+build41) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 22:04:44 +0000

kpim6-incidenceeditor (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:28:48 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/incidenceeditor-([\d.]+).tar.xz

## kpim6-incidenceeditor 25.08.1+p24.04+vstable+git20250914.2214

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")

project(incidenceeditor VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    tests/*.cpp
    tests/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMCheckOutboundLicense)
include(ECMAddQch)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
set(AKONADI_MIMELIB_VERSION "6.5.1")
set(KDEPIM_LIB_VERSION "6.5.1")
set(KMIME_LIB_VERSION "6.5.1")
set(KLDAP_LIB_VERSION "6.5.1")
set(CALENDARUTILS_LIB_VERSION "6.5.1")
set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
set(LIBKDEPIM_LIB_VERSION "6.5.1")
set(EVENTVIEW_LIB_VERSION "6.5.1")
set(AKONADI_VERSION "6.5.1")
set(AKONADICONTACT_LIB_VERSION "6.5.1")
set(AKONADICALENDAR_LIB_VERSION "6.5.1")
set(PIMCOMMON_LIB_VERSION "6.5.1")
set(PIMTEXTEDIT_LIB_VERSION "6.5.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")

set(KDIAGRAM_LIB_VERSION "3.0.0")
find_package(KGantt6 ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)

find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${PIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX INCIDENCEEDITOR
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/incidenceeditor_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfigVersion.cmake"
                        SOVERSION 6
)

option(
    KDEPIM_ENTERPRISE_BUILD
    "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client."
    FALSE
)

# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
configure_file(config-enterprise.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config-enterprise.h)

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()
add_subdirectory(src)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6IncidenceEditor")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6IncidenceEditor_QCH
        FILE KPim6IncidenceEditorQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6IncidenceEditorQchTargets.cmake\")")
endif()
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimIncidenceEditorConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6IncidenceEditorTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6IncidenceEditorTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/src/incidenceeditor_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/IncidenceEditor/
    COMPONENT Devel
)

if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)

    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kpim6-incidenceeditor (25.08.1+p24.04+vstable+git20250914.2214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 22:15:00 +0000

## kpim6-incidenceeditor 25.08.1+p24.04+vstable+git20250916.0532

=== debian/changelog ===
kpim6-incidenceeditor (25.08.1+p24.04+vstable+git20250916.0532-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 05:32:18 +0000

## kpim6-incidenceeditor 25.08.2

=== debian/changelog ===
kpim6-incidenceeditor (25.08.2-0zneon+24.04+noble+release+build44) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 12:51:25 +0000

kpim6-incidenceeditor (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:15:44 +0000

## kpim6-incidenceeditor 25.08.2+p24.04+vstable+git20251016.2217

=== debian/changelog ===
kpim6-incidenceeditor (25.08.2+p24.04+vstable+git20251016.2217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:17:43 +0000

## kpim6-incidenceeditor 25.08.2+p24.04+vstable+git20251019.0855

=== debian/changelog ===
kpim6-incidenceeditor (25.08.2+p24.04+vstable+git20251019.0855-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:55:29 +0000

=== debian/control ===
Source: kpim6-incidenceeditor
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcodecs-dev,
               kf6-ki18n-dev,
               kf6-ktextaddons-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-calendarsupport-dev,
               kpim6-eventviews-dev,
               kpim6-grantleetheme-dev,
               kpim6-kcalendarutils-dev,
               kpim6-kldap-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmime-dev,
               kpim6-libkdepim-dev,
               kpim6-pimcommon-dev,
               libcups2-dev,
               libkchart-dev,
               libkgantt-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               reuse
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/incidenceeditor.git
Vcs-Browser: https://invent.kde.org/neon/kde/incidenceeditor
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-incidenceeditor
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5incidenceeditor-bin,
          libkf5incidenceeditor5,
          libkf6incidenceeditor-bin,
          libkf6incidenceeditor6,
          libkpim6incidenceeditor-bin,
          libkpim6incidenceeditor6
Description: KDE PIM incidence editor - library
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared libraries.

Package: kpim6-incidenceeditor-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kcalendarcore-dev,
         kpim6-akonadi-calendar-dev,
         kpim6-akonadi-dev,
         kpim6-eventviews-dev,
         kpim6-incidenceeditor (= ${binary:Version}),
         kpim6-kidentitymanagement-dev,
         kpim6-kmailtransport-dev,
         kpim6-kmime-dev,
         libkgantt-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5incidenceeditor-dev,
          libkf6incidenceeditor-dev,
          libkpim6incidenceeditor-dev
Description: KDE PIM incidence editor - devel files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides development files.

Package: libkpim6incidenceeditor6
Architecture: all
Depends: kpim6-incidenceeditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6incidenceeditor-bin
Architecture: all
Depends: kpim6-incidenceeditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6incidenceeditor-dev
Architecture: all
Depends: kpim6-incidenceeditor-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6incidenceeditor6
Architecture: all
Depends: kpim6-incidenceeditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6incidenceeditor-bin
Architecture: all
Depends: kpim6-incidenceeditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6incidenceeditor-dev
Architecture: all
Depends: kpim6-incidenceeditor-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5incidenceeditor-dev
Architecture: all
Depends: kpim6-incidenceeditor-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5incidenceeditor5
Architecture: all
Depends: kpim6-incidenceeditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kpim6-incidenceeditor 25.08.2+p24.04+vstable+git20251031.0406

=== debian/changelog ===
kpim6-incidenceeditor (25.08.2+p24.04+vstable+git20251031.0406-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 04:06:18 +0000

## kpim6-incidenceeditor 25.08.2+p24.04+vunstable+git20251020.0745

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -57,20 +58,20 @@
 )
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "6.5.1")
-set(KDEPIM_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
-set(KLDAP_LIB_VERSION "6.5.1")
-set(CALENDARUTILS_LIB_VERSION "6.5.1")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
-set(LIBKDEPIM_LIB_VERSION "6.5.1")
-set(EVENTVIEW_LIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
-set(AKONADICONTACT_LIB_VERSION "6.5.1")
-set(AKONADICALENDAR_LIB_VERSION "6.5.1")
-set(PIMCOMMON_LIB_VERSION "6.5.1")
-set(PIMTEXTEDIT_LIB_VERSION "6.5.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
+set(AKONADI_MIMELIB_VERSION "6.5.40")
+set(KDEPIM_LIB_VERSION "6.5.40")
+set(KMIME_LIB_VERSION "6.5.40")
+set(KLDAP_LIB_VERSION "6.5.40")
+set(CALENDARUTILS_LIB_VERSION "6.5.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.40")
+set(LIBKDEPIM_LIB_VERSION "6.5.40")
+set(EVENTVIEW_LIB_VERSION "6.5.40")
+set(AKONADI_VERSION "6.5.40")
+set(AKONADICONTACT_LIB_VERSION "6.5.40")
+set(AKONADICALENDAR_LIB_VERSION "6.5.40")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
+set(PIMTEXTEDIT_LIB_VERSION "6.5.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
 
 set(KDIAGRAM_LIB_VERSION "3.0.0")
 find_package(KGantt6 ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)
@@ -118,7 +119,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kpim6-incidenceeditor (25.08.2+p24.04+vunstable+git20251020.0745-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 07:45:07 +0000

## kpim6-incidenceeditor 25.08.2+p24.04+vunstable+git20251022.0019

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

=== debian/changelog ===
kpim6-incidenceeditor (25.08.2+p24.04+vunstable+git20251022.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:19:42 +0000

## kpim6-incidenceeditor 25.08.3

=== debian/changelog ===
kpim6-incidenceeditor (25.08.3-0zneon+24.04+noble+release+build45) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 02:11:13 +0000

kpim6-incidenceeditor (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:37:40 +1000

## kpim6-incidenceeditor 25.08.3+p24.04+vunstable+git20251204.0323

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -58,20 +57,20 @@
 )
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
-set(AKONADI_MIMELIB_VERSION "6.5.40")
-set(KDEPIM_LIB_VERSION "6.5.40")
-set(KMIME_LIB_VERSION "6.5.40")
-set(KLDAP_LIB_VERSION "6.5.40")
-set(CALENDARUTILS_LIB_VERSION "6.5.40")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.40")
-set(LIBKDEPIM_LIB_VERSION "6.5.40")
-set(EVENTVIEW_LIB_VERSION "6.5.40")
-set(AKONADI_VERSION "6.5.40")
-set(AKONADICONTACT_LIB_VERSION "6.5.40")
-set(AKONADICALENDAR_LIB_VERSION "6.5.40")
-set(PIMCOMMON_LIB_VERSION "6.5.40")
-set(PIMTEXTEDIT_LIB_VERSION "6.5.40")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
+set(AKONADI_MIMELIB_VERSION "6.6.40")
+set(KDEPIM_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(KLDAP_LIB_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(EVENTVIEW_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(AKONADICONTACT_LIB_VERSION "6.6.40")
+set(AKONADICALENDAR_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(PIMTEXTEDIT_LIB_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
 
 set(KDIAGRAM_LIB_VERSION "3.0.0")
 find_package(KGantt6 ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)
@@ -119,7 +118,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kpim6-incidenceeditor (25.08.3+p24.04+vunstable+git20251204.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:23:39 +0000

## kpim6-incidenceeditor 25.08.3+p24.04+vunstable+git20251206.1011

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kpim6-incidenceeditor (25.08.3+p24.04+vunstable+git20251206.1011-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 10:11:52 +0000

## kpim6-incidenceeditor 25.12.0

=== debian/changelog ===
kpim6-incidenceeditor (25.12.0-0zneon+24.04+noble+release+build46) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 20:22:32 +0000

kpim6-incidenceeditor (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:33:38 +1000

## kpim6-incidenceeditor 25.12.0+p24.04+vstable+git20251209.0453

=== debian/changelog ===
kpim6-incidenceeditor (25.12.0+p24.04+vstable+git20251209.0453-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 04:53:10 +0000

## kpim6-incidenceeditor 25.12.0+p24.04+vstable+git20251209.0509

=== debian/changelog ===
kpim6-incidenceeditor (25.12.0+p24.04+vstable+git20251209.0509-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:09:57 +0000

## kpim6-incidenceeditor 25.12.0+p24.04+vstable+git20251221.0123

=== debian/changelog ===
kpim6-incidenceeditor (25.12.0+p24.04+vstable+git20251221.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Dec 2025 01:23:53 +0000

## kpim6-incidenceeditor 25.12.0+p24.04+vstable+git20251231.0543

=== debian/changelog ===
kpim6-incidenceeditor (25.12.0+p24.04+vstable+git20251231.0543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:43:13 +0000

## kpim6-incidenceeditor 25.12.1

=== debian/changelog ===
kpim6-incidenceeditor (25.12.1-0zneon+24.04+noble+release+build48) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:02:37 +0000

kpim6-incidenceeditor (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:22:52 +1000

## kpim6-incidenceeditor 25.12.1+p24.04+vstable+git20260128.0524

=== debian/changelog ===
kpim6-incidenceeditor (25.12.1+p24.04+vstable+git20260128.0524-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 05:24:24 +0000

## kpim6-incidenceeditor 25.12.1+p24.04+vstable+git20260130.1319

=== debian/changelog ===
kpim6-incidenceeditor (25.12.1+p24.04+vstable+git20260130.1319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:19:27 +0000

## kpim6-incidenceeditor 25.12.2+p24.04+vunstable+git20260207.0459

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.27)
 set(PIM_VERSION "6.6.40")
 
 project(incidenceeditor VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.21.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -39,22 +39,40 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 include(ECMAddTests)
 include(ECMCheckOutboundLicense)
-include(ECMAddQch)
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-)
+include(ECMGenerateQDoc)
 
 set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
 set(AKONADI_MIMELIB_VERSION "6.6.40")
@@ -106,19 +124,15 @@
                         SOVERSION 6
 )
 
-option(
-    KDEPIM_ENTERPRISE_BUILD
-    "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client."
-    FALSE
-)
-
-# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
-configure_file(config-enterprise.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config-enterprise.h)
-
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.23.0 KMIME 6.7.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
 
@@ -131,19 +145,21 @@
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)
 endif()
+option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
+if(WARNINGS_AS_ERRORS)
+    if(MSVC)
+        add_compile_options(/WX)
+        add_compile_options(/wd4996)
+    else()
+        add_compile_options(-Werror)
+        add_compile_options(-Wno-error=deprecated-declarations)
+    endif()
+endif()
+
 add_subdirectory(src)
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6IncidenceEditor")
-if(BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KPim6IncidenceEditor_QCH
-        FILE KPim6IncidenceEditorQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6IncidenceEditorQchTargets.cmake\")")
-endif()
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KPimIncidenceEditorConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfig.cmake"

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libincidenceeditors6\")
add_library(KPim6IncidenceEditor)
add_library(KPim6::IncidenceEditor ALIAS KPim6IncidenceEditor)

target_sources(
    KPim6IncidenceEditor
    PRIVATE
        attachmenteditdialog.cpp
        attachmenticonview.cpp
        attendeedata.cpp
        attendeeline.cpp
        attendeecomboboxdelegate.cpp
        attendeelineeditdelegate.cpp
        attendeetablemodel.cpp
        attendeeeditor.cpp
        alarmpresets.cpp
        alarmdialog.cpp
        incidenceeditorsettings.cpp
        ktimezonecombobox.cpp
        # TODO: Move the next two to akonadi libs when finished
        editoritemmanager.cpp
        freebusyurldialog.cpp
        # Shared incidence editors code
        combinedincidenceeditor.cpp
        incidenceeditor.cpp
        # Specific editors
        incidencealarm.cpp
        incidenceattachment.cpp
        incidenceattendee.cpp
        incidencecategories.cpp
        incidencecompletionpriority.cpp
        incidencedescription.cpp
        incidencewhatwhere.cpp
        incidencedatetime.cpp
        incidencerecurrence.cpp
        incidenceresource.cpp
        incidencesecrecy.cpp
        freebusyganttproxymodel.cpp
        conflictresolver.cpp
        schedulingdialog.cpp
        groupwareuidelegate.cpp
        incidencedefaults.cpp
        editorconfig.cpp
        korganizereditorconfig.cpp
        # Individual mail
        individualmailcomponentfactory.cpp
        individualmaildialog.cpp
        opencomposerjob.cpp
        # Resourcemanagement
        ldaputils.cpp
        resourcemanagement.cpp
        resourceitem.cpp
        resourcemodel.cpp
        kweekdaycheckcombo.cpp
        attendeeeditor.h
        editorconfig.h
        alarmpresets.h
        individualmaildialog.h
        attachmenteditdialog.h
        incidencecompletionpriority.h
        incidencewhatwhere.h
        visualfreebusywidget.h
        attachmenticonview.h
        incidenceeditor_private_export.h
        resourcemanagement.h
        ldaputils.h
        resourcemodel.h
        incidencealarm.h
        incidencedefaults.h
        freebusyganttproxymodel.h
        incidenceattendee.h
        korganizereditorconfig.h
        freebusyurldialog.h
        ktimezonecombobox.h
        incidencedescription.h
        conflictresolver.h
        editoritemmanager.h
        alarmdialog.h
        incidencesecrecy.h
        combinedincidenceeditor.h
        incidencedatetime.h
        groupwareuidelegate.h
        incidencerecurrence.h
        attendeetablemodel.h
        incidenceresource.h
        individualmailcomponentfactory.h
        opencomposerjob.h
        schedulingdialog.h
        incidencedialog.h
        attendeecomboboxdelegate.h
        incidencedialogfactory.h
        templatemanagementdialog.h
        incidenceeditor-ng.h
        incidencecategories.h
        attendeedata.h
        resourceitem.h
        kweekdaycheckcombo.h
        incidenceattachment.h
        attendeelineeditdelegate.h
        incidenceeditorsettings.h
        attendeeline.h
)

ecm_qt_declare_logging_category(KPim6IncidenceEditor HEADER incidenceeditor_debug.h IDENTIFIER INCIDENCEEDITOR_LOG CATEGORY_NAME org.kde.pim.incidenceeditor
        OLD_CATEGORY_NAMES log_incidenceeditor
        DESCRIPTION "incidenceeditor (incidenceeditor)" EXPORT INCIDENCEEDITOR
)

kconfig_add_kcfg_files(KPim6IncidenceEditor globalsettings_incidenceeditor.kcfgc)

### Build the desktop version

target_sources(
    KPim6IncidenceEditor
    PRIVATE
        templatemanagementdialog.cpp
        incidencedialogfactory.cpp
        incidencedialog.cpp
        visualfreebusywidget.cpp
        incidenceeditor.qrc
)

ki18n_wrap_ui(KPim6IncidenceEditor
  ui/template_management_dialog_base.ui
  ui/dialogdesktop.ui
  ui/alarmdialog.ui
  ui/attachmenteditdialog.ui
  ui/schedulingdialog.ui
  ui/resourcemanagement.ui
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6IncidenceEditor
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(KPim6IncidenceEditor
    BASE_NAME incidenceeditor
    VERSION ${INCIDENCEEDITOR_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_link_libraries(
    KPim6IncidenceEditor
    PUBLIC
        KPim6::AkonadiCalendar
        KPim6::AkonadiMime
        KF6::CalendarCore
        KPim6::CalendarUtils
        KPim6::CalendarSupport # For KCalPrefs
        KPim6::EventViews
    PRIVATE
        KGantt6 # For FreeBusy Editor
        KPim6::PimTextEdit
        KF6::Codecs
        KPim6::LdapWidgets
        KPim6::AkonadiWidgets
        KF6::IconThemes
        KF6::Completion
        KF6::KIOWidgets
        KF6::TextWidgets
        KF6::WidgetsAddons
        KF6::XmlGui
        KF6::Contacts
        KF6::GuiAddons
        KPim6::Libkdepim
        KPim6::PimCommonAkonadi
        KPim6::IdentityManagementCore
)
target_include_directories(
    KPim6IncidenceEditor
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/IncidenceEditor/>"
)
target_include_directories(
    KPim6IncidenceEditor
    PUBLIC
        "$<BUILD_INTERFACE:${incidenceeditor_SOURCE_DIR}/src;${incidenceeditor_BINARY_DIR}/src;>"
)

set_target_properties(
    KPim6IncidenceEditor
    PROPERTIES
        VERSION
            ${INCIDENCEEDITOR_VERSION}
        SOVERSION
            ${INCIDENCEEDITOR_SOVERSION}
        EXPORT_NAME
            IncidenceEditor
)

install(TARGETS KPim6IncidenceEditor EXPORT KPim6IncidenceEditorTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(IncidenceEditor_CamelCase_HEADERS
  HEADER_NAMES
  IncidenceDialog
  IncidenceDialogFactory
  IncidenceEditorSettings
  IncidenceDefaults
  IndividualMailComponentFactory
  GroupwareUiDelegate
  EditorItemManager
  IncidenceEditor-Ng
  REQUIRED_HEADERS IncidenceEditor_HEADERS
  PREFIX IncidenceEditor
)

install(
    FILES
        ${IncidenceEditor_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/IncidenceEditor/IncidenceEditor
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/globalsettings_incidenceeditor.h
        ${CMAKE_CURRENT_BINARY_DIR}/incidenceeditor_export.h
        ${IncidenceEditor_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/IncidenceEditor/incidenceeditor
    COMPONENT Devel
)

######
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

ecm_qt_install_logging_categories(EXPORT INCIDENCEEDITOR FILE incidenceeditor.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
ecm_generate_qdoc(KPim6IncidenceEditor incidenceeditor.qdocconf)

=== debian/changelog ===
kpim6-incidenceeditor (25.12.2+p24.04+vunstable+git20260207.0459-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 04:59:53 +0000

kpim6-incidenceeditor (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 05:02:54 +0000
